GlueGen: com.jogamp.gluegen.cgram.StdCParser Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
com.jogamp.gluegen.cgram.StdCParser Class Reference
Inheritance diagram for com.jogamp.gluegen.cgram.StdCParser:
Collaboration diagram for com.jogamp.gluegen.cgram.StdCParser:

## Public Member Functions

boolean | isTypedefName (String name)
String | getAScopeName ()
void | pushScope (String scopeName)
void | popScope ()
boolean | getDebug ()
void | setDebug (boolean debug)
void | reportError (RecognitionException ex)
void | reportError (String s)
void | reportWarning (String s)
void | match (int t) throws MismatchedTokenException
void | traceIn (String rname)
void | traceOut (String rname)
| StdCParser (TokenBuffer tokenBuf)
| StdCParser (TokenStream lexer)
| StdCParser (ParserSharedInputState state)
final void | translationUnit () throws RecognitionException, TokenStreamException
final void | externalList () throws RecognitionException, TokenStreamException
final void | externalDef () throws RecognitionException, TokenStreamException
final void | declaration () throws RecognitionException, TokenStreamException
final void | functionDef () throws RecognitionException, TokenStreamException
final void | asm_expr () throws RecognitionException, TokenStreamException
final void | expr () throws RecognitionException, TokenStreamException
final void | declSpecifiers () throws RecognitionException, TokenStreamException
final void | initDeclList (AST declarationSpecifiers) throws RecognitionException, TokenStreamException
final void | storageClassSpecifier () throws RecognitionException, TokenStreamException
final void | typeQualifier () throws RecognitionException, TokenStreamException
final int | typeSpecifier (int specCount) throws RecognitionException, TokenStreamException
final void | functionStorageClassSpecifier () throws RecognitionException, TokenStreamException
final void | structOrUnionSpecifier () throws RecognitionException, TokenStreamException
final void | enumSpecifier () throws RecognitionException, TokenStreamException
final void | typedefName () throws RecognitionException, TokenStreamException
final void | structOrUnion () throws RecognitionException, TokenStreamException
final void | structDeclarationList () throws RecognitionException, TokenStreamException
final void | structDeclaration () throws RecognitionException, TokenStreamException
final void | specifierQualifierList () throws RecognitionException, TokenStreamException
final void | structDeclaratorList () throws RecognitionException, TokenStreamException
final void | structDeclarator () throws RecognitionException, TokenStreamException
final void | constExpr () throws RecognitionException, TokenStreamException
final String | declarator (boolean isFunctionDefinition) throws RecognitionException, TokenStreamException
final void | enumList (String enumName) throws RecognitionException, TokenStreamException
final void | enumerator (String enumName) throws RecognitionException, TokenStreamException
final void | initDecl (AST declarationSpecifiers) throws RecognitionException, TokenStreamException
final void | initializer () throws RecognitionException, TokenStreamException
final void | pointerGroup () throws RecognitionException, TokenStreamException
final void | idList () throws RecognitionException, TokenStreamException
final void | assignExpr () throws RecognitionException, TokenStreamException
final void | initializerList () throws RecognitionException, TokenStreamException
final void | parameterTypeList () throws RecognitionException, TokenStreamException
final void | parameterDeclaration () throws RecognitionException, TokenStreamException
final void | nonemptyAbstractDeclarator () throws RecognitionException, TokenStreamException
final void | functionDeclSpecifiers () throws RecognitionException, TokenStreamException
final void | compoundStatement (String scopeName) throws RecognitionException, TokenStreamException
final void | declarationList () throws RecognitionException, TokenStreamException
final void | declarationPredictor () throws RecognitionException, TokenStreamException
final void | statementList () throws RecognitionException, TokenStreamException
final void | statement () throws RecognitionException, TokenStreamException
final void | conditionalExpr () throws RecognitionException, TokenStreamException
final void | assignOperator () throws RecognitionException, TokenStreamException
final void | logicalOrExpr () throws RecognitionException, TokenStreamException
final void | logicalAndExpr () throws RecognitionException, TokenStreamException
final void | inclusiveOrExpr () throws RecognitionException, TokenStreamException
final void | exclusiveOrExpr () throws RecognitionException, TokenStreamException
final void | bitAndExpr () throws RecognitionException, TokenStreamException
final void | equalityExpr () throws RecognitionException, TokenStreamException
final void | relationalExpr () throws RecognitionException, TokenStreamException
final void | shiftExpr () throws RecognitionException, TokenStreamException
final void | additiveExpr () throws RecognitionException, TokenStreamException
final void | multExpr () throws RecognitionException, TokenStreamException
final void | castExpr () throws RecognitionException, TokenStreamException
final void | typeName () throws RecognitionException, TokenStreamException
final void | unaryExpr () throws RecognitionException, TokenStreamException
final void | postfixExpr () throws RecognitionException, TokenStreamException
final void | unaryOperator () throws RecognitionException, TokenStreamException
final void | primaryExpr () throws RecognitionException, TokenStreamException
final void | postfixSuffix () throws RecognitionException, TokenStreamException
final void | functionCall () throws RecognitionException, TokenStreamException
final void | argExprList () throws RecognitionException, TokenStreamException
final void | dummy () throws RecognitionException, TokenStreamException

## Public Attributes

CSymbolTable | symbolTable = new CSymbolTable()
Public Attributes inherited from com.jogamp.gluegen.cgram.STDCTokenTypes
int | EOF = 1
int | NULL_TREE_LOOKAHEAD = 3
int | LITERAL_typedef = 4
int | LITERAL_asm = 5
int | LITERAL_volatile = 6
int | LCURLY = 7
int | RCURLY = 8
int | SEMI = 9
int | LITERAL_struct = 10
int | LITERAL_union = 11
int | LITERAL_enum = 12
int | LITERAL_auto = 13
int | LITERAL_register = 14
int | LITERAL_extern = 15
int | LITERAL_static = 16
int | LITERAL_const = 17
int | LITERAL_void = 18
int | LITERAL_char = 19
int | LITERAL_short = 20
int | LITERAL_int = 21
int | LITERAL_long = 22
int | LITERAL_float = 23
int | LITERAL_double = 24
int | LITERAL_signed = 25
int | LITERAL_unsigned = 26
int | LITERAL_wchar_t = 33
int | LITERAL_ptrdiff_t = 38
int | LITERAL_intptr_t = 39
int | LITERAL_size_t = 40
int | LITERAL_uintptr_t = 41
int | ID = 42
int | COMMA = 43
int | COLON = 44
int | ASSIGN = 45
int | STAR = 46
int | LPAREN = 47
int | RPAREN = 48
int | LBRACKET = 49
int | RBRACKET = 50
int | VARARGS = 51
int | LITERAL_while = 52
int | LITERAL_do = 53
int | LITERAL_for = 54
int | LITERAL_goto = 55
int | LITERAL_continue = 56
int | LITERAL_break = 57
int | LITERAL_return = 58
int | LITERAL_case = 59
int | LITERAL_default = 60
int | LITERAL_if = 61
int | LITERAL_else = 62
int | LITERAL_switch = 63
int | DIV_ASSIGN = 64
int | PLUS_ASSIGN = 65
int | MINUS_ASSIGN = 66
int | STAR_ASSIGN = 67
int | MOD_ASSIGN = 68
int | RSHIFT_ASSIGN = 69
int | LSHIFT_ASSIGN = 70
int | BAND_ASSIGN = 71
int | BOR_ASSIGN = 72
int | BXOR_ASSIGN = 73
int | QUESTION = 74
int | LOR = 75
int | LAND = 76
int | BOR = 77
int | BXOR = 78
int | BAND = 79
int | EQUAL = 80
int | NOT_EQUAL = 81
int | LT = 82
int | LTE = 83
int | GT = 84
int | GTE = 85
int | LSHIFT = 86
int | RSHIFT = 87
int | PLUS = 88
int | MINUS = 89
int | DIV = 90
int | MOD = 91
int | INC = 92
int | DEC = 93
int | LITERAL_sizeof = 94
int | BNOT = 95
int | LNOT = 96
int | PTR = 97
int | DOT = 98
int | CharLiteral = 99
int | StringLiteral = 100
int | IntOctalConst = 101
int | LongOctalConst = 102
int | UnsignedOctalConst = 103
int | IntIntConst = 104
int | LongIntConst = 105
int | UnsignedIntConst = 106
int | IntHexConst = 107
int | LongHexConst = 108
int | UnsignedHexConst = 109
int | FloatDoubleConst = 110
int | DoubleDoubleConst = 111
int | LongDoubleConst = 112
int | NTypedefName = 113
int | NInitDecl = 114
int | NDeclarator = 115
int | NStructDeclarator = 116
int | NDeclaration = 117
int | NCast = 118
int | NPointerGroup = 119
int | NExpressionGroup = 120
int | NFunctionCallArgs = 121
int | NNonemptyAbstractDeclarator = 122
int | NInitializer = 123
int | NStatementExpr = 124
int | NEmptyExpression = 125
int | NParameterTypeList = 126
int | NFunctionDef = 127
int | NCompoundStatement = 128
int | NParameterDeclaration = 129
int | NCommaExpr = 130
int | NUnaryExpr = 131
int | NLabel = 132
int | NPostfixExpr = 133
int | NRangeExpr = 134
int | NStringSeq = 135
int | NInitializerElementLabel = 136
int | NLcurlyInitializer = 137
int | NAsmAttribute = 138
int | NGnuAsmExpr = 139
int | NTypeMissing = 140
int | Vocabulary = 141
int | Whitespace = 142
int | Comment = 143
int | CPPComment = 144
int | NonWhitespace = 145
int | PREPROC_DIRECTIVE = 146
int | DefineExpr = 147
int | DefineExpr2 = 148
int | Space = 149
int | LineDirective = 150
int | BadStringLiteral = 151
int | Escape = 152
int | Digit = 153
int | LongSuffix = 154
int | UnsignedSuffix = 155
int | FloatSuffix = 156
int | Exponent = 157
int | Number = 158

## Static Public Attributes

static boolean | CPPComments = true
static final String[] | _tokenNames
static final BitSet | _tokenSet_0 = new BitSet(mk_tokenSet_0())
static final BitSet | _tokenSet_1 = new BitSet(mk_tokenSet_1())
static final BitSet | _tokenSet_2 = new BitSet(mk_tokenSet_2())
static final BitSet | _tokenSet_3 = new BitSet(mk_tokenSet_3())
static final BitSet | _tokenSet_4 = new BitSet(mk_tokenSet_4())
static final BitSet | _tokenSet_5 = new BitSet(mk_tokenSet_5())
static final BitSet | _tokenSet_6 = new BitSet(mk_tokenSet_6())
static final BitSet | _tokenSet_7 = new BitSet(mk_tokenSet_7())
static final BitSet | _tokenSet_8 = new BitSet(mk_tokenSet_8())
static final BitSet | _tokenSet_9 = new BitSet(mk_tokenSet_9())
static final BitSet | _tokenSet_10 = new BitSet(mk_tokenSet_10())
static final BitSet | _tokenSet_11 = new BitSet(mk_tokenSet_11())
static final BitSet | _tokenSet_12 = new BitSet(mk_tokenSet_12())
static final BitSet | _tokenSet_13 = new BitSet(mk_tokenSet_13())
static final BitSet | _tokenSet_14 = new BitSet(mk_tokenSet_14())
static final BitSet | _tokenSet_15 = new BitSet(mk_tokenSet_15())
static final BitSet | _tokenSet_16 = new BitSet(mk_tokenSet_16())
static final BitSet | _tokenSet_17 = new BitSet(mk_tokenSet_17())
static final BitSet | _tokenSet_18 = new BitSet(mk_tokenSet_18())
static final BitSet | _tokenSet_19 = new BitSet(mk_tokenSet_19())
static final BitSet | _tokenSet_20 = new BitSet(mk_tokenSet_20())
static final BitSet | _tokenSet_21 = new BitSet(mk_tokenSet_21())
static final BitSet | _tokenSet_22 = new BitSet(mk_tokenSet_22())
static final BitSet | _tokenSet_23 = new BitSet(mk_tokenSet_23())
static final BitSet | _tokenSet_24 = new BitSet(mk_tokenSet_24())
static final BitSet | _tokenSet_25 = new BitSet(mk_tokenSet_25())
static final BitSet | _tokenSet_26 = new BitSet(mk_tokenSet_26())
static final BitSet | _tokenSet_27 = new BitSet(mk_tokenSet_27())
static final BitSet | _tokenSet_28 = new BitSet(mk_tokenSet_28())
static final BitSet | _tokenSet_29 = new BitSet(mk_tokenSet_29())
static final BitSet | _tokenSet_30 = new BitSet(mk_tokenSet_30())
static final BitSet | _tokenSet_31 = new BitSet(mk_tokenSet_31())
static final BitSet | _tokenSet_32 = new BitSet(mk_tokenSet_32())
static final BitSet | _tokenSet_33 = new BitSet(mk_tokenSet_33())
static final BitSet | _tokenSet_34 = new BitSet(mk_tokenSet_34())
static final BitSet | _tokenSet_35 = new BitSet(mk_tokenSet_35())
static final BitSet | _tokenSet_36 = new BitSet(mk_tokenSet_36())
static final BitSet | _tokenSet_37 = new BitSet(mk_tokenSet_37())
static final BitSet | _tokenSet_38 = new BitSet(mk_tokenSet_38())
static final BitSet | _tokenSet_39 = new BitSet(mk_tokenSet_39())
static final BitSet | _tokenSet_40 = new BitSet(mk_tokenSet_40())
static final BitSet | _tokenSet_41 = new BitSet(mk_tokenSet_41())
static final BitSet | _tokenSet_42 = new BitSet(mk_tokenSet_42())
static final BitSet | _tokenSet_43 = new BitSet(mk_tokenSet_43())
static final BitSet | _tokenSet_44 = new BitSet(mk_tokenSet_44())
static final BitSet | _tokenSet_45 = new BitSet(mk_tokenSet_45())
static final BitSet | _tokenSet_46 = new BitSet(mk_tokenSet_46())
static final BitSet | _tokenSet_47 = new BitSet(mk_tokenSet_47())
static final BitSet | _tokenSet_48 = new BitSet(mk_tokenSet_48())
static final BitSet | _tokenSet_49 = new BitSet(mk_tokenSet_49())
static final BitSet | _tokenSet_50 = new BitSet(mk_tokenSet_50())
static final BitSet | _tokenSet_51 = new BitSet(mk_tokenSet_51())
static final BitSet | _tokenSet_52 = new BitSet(mk_tokenSet_52())
static final BitSet | _tokenSet_53 = new BitSet(mk_tokenSet_53())
static final BitSet | _tokenSet_54 = new BitSet(mk_tokenSet_54())
static final BitSet | _tokenSet_55 = new BitSet(mk_tokenSet_55())
static final BitSet | _tokenSet_56 = new BitSet(mk_tokenSet_56())
static final BitSet | _tokenSet_57 = new BitSet(mk_tokenSet_57())
static final BitSet | _tokenSet_58 = new BitSet(mk_tokenSet_58())
static final BitSet | _tokenSet_59 = new BitSet(mk_tokenSet_59())
static final BitSet | _tokenSet_60 = new BitSet(mk_tokenSet_60())

## Protected Member Functions

| StdCParser (TokenBuffer tokenBuf, int k)
| StdCParser (TokenStream lexer, int k)
final void | charConst () throws RecognitionException, TokenStreamException
final void | intConst () throws RecognitionException, TokenStreamException
final void | floatConst () throws RecognitionException, TokenStreamException
final void | stringConst () throws RecognitionException, TokenStreamException
void | buildTokenTypeASTClassMap ()

## Protected Attributes

int | unnamedScopeCounter = 0
boolean | debugging = false

## Detailed Description

Definition at line 29 of file StdCParser.java.

## Constructor & Destructor Documentation

## ◆ StdCParser() [1/5]

com.jogamp.gluegen.cgram.StdCParser.StdCParser | ( | TokenBuffer | tokenBuf,
|  | int | k
| ) |  |

protected

Definition at line 146 of file StdCParser.java.

Here is the call graph for this function:

## ◆ StdCParser() [2/5]

com.jogamp.gluegen.cgram.StdCParser.StdCParser | ( | TokenBuffer | tokenBuf | ) |

Definition at line 153 of file StdCParser.java.

## ◆ StdCParser() [3/5]

com.jogamp.gluegen.cgram.StdCParser.StdCParser | ( | TokenStream | lexer,
|  | int | k
| ) |  |

protected

Definition at line 157 of file StdCParser.java.

Here is the call graph for this function:

## ◆ StdCParser() [4/5]

com.jogamp.gluegen.cgram.StdCParser.StdCParser | ( | TokenStream | lexer | ) |

Definition at line 164 of file StdCParser.java.

## ◆ StdCParser() [5/5]

com.jogamp.gluegen.cgram.StdCParser.StdCParser | ( | ParserSharedInputState | state | ) |

Definition at line 168 of file StdCParser.java.

Here is the call graph for this function:

## Member Function Documentation

## ◆ additiveExpr()

final void com.jogamp.gluegen.cgram.StdCParser.additiveExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4197 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ argExprList()

final void com.jogamp.gluegen.cgram.StdCParser.argExprList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4998 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ asm_expr()

final void com.jogamp.gluegen.cgram.StdCParser.asm_expr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 532 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ assignExpr()

final void com.jogamp.gluegen.cgram.StdCParser.assignExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2292 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ assignOperator()

final void com.jogamp.gluegen.cgram.StdCParser.assignOperator | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3685 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ bitAndExpr()

final void com.jogamp.gluegen.cgram.StdCParser.bitAndExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3965 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ buildTokenTypeASTClassMap()

void com.jogamp.gluegen.cgram.StdCParser.buildTokenTypeASTClassMap | ( |  | ) |

protected

Definition at line 5701 of file StdCParser.java.

Here is the caller graph for this function:

## ◆ castExpr()

final void com.jogamp.gluegen.cgram.StdCParser.castExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4323 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ charConst()

final void com.jogamp.gluegen.cgram.StdCParser.charConst | ( |  | ) | throws RecognitionException, TokenStreamException

protected

Definition at line 5034 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ compoundStatement()

final void com.jogamp.gluegen.cgram.StdCParser.compoundStatement | ( | String | scopeName | ) | throws RecognitionException, TokenStreamException

Definition at line 2942 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ conditionalExpr()

final void com.jogamp.gluegen.cgram.StdCParser.conditionalExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3622 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ constExpr()

final void com.jogamp.gluegen.cgram.StdCParser.constExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1663 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ declaration()

final void com.jogamp.gluegen.cgram.StdCParser.declaration | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 352 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ declarationList()

final void com.jogamp.gluegen.cgram.StdCParser.declarationList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3065 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ declarationPredictor()

final void com.jogamp.gluegen.cgram.StdCParser.declarationPredictor | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3116 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ declarator()

final String com.jogamp.gluegen.cgram.StdCParser.declarator | ( | boolean | isFunctionDefinition | ) | throws RecognitionException, TokenStreamException

Definition at line 1685 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ declSpecifiers()

final void com.jogamp.gluegen.cgram.StdCParser.declSpecifiers | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 625 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ dummy()

final void com.jogamp.gluegen.cgram.StdCParser.dummy | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 5261 of file StdCParser.java.

Here is the call graph for this function:

## ◆ enumerator()

final void com.jogamp.gluegen.cgram.StdCParser.enumerator | ( | String | enumName | ) | throws RecognitionException, TokenStreamException

Definition at line 1968 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ enumList()

final void com.jogamp.gluegen.cgram.StdCParser.enumList | ( | String | enumName | ) | throws RecognitionException, TokenStreamException

Definition at line 1930 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ enumSpecifier()

final void com.jogamp.gluegen.cgram.StdCParser.enumSpecifier | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1250 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ equalityExpr()

final void com.jogamp.gluegen.cgram.StdCParser.equalityExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4004 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ exclusiveOrExpr()

final void com.jogamp.gluegen.cgram.StdCParser.exclusiveOrExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3926 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ expr()

final void com.jogamp.gluegen.cgram.StdCParser.expr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 581 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ externalDef()

final void com.jogamp.gluegen.cgram.StdCParser.externalDef | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 289 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ externalList()

final void com.jogamp.gluegen.cgram.StdCParser.externalList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 254 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ floatConst()

final void com.jogamp.gluegen.cgram.StdCParser.floatConst | ( |  | ) | throws RecognitionException, TokenStreamException

protected

Definition at line 5164 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ functionCall()

final void com.jogamp.gluegen.cgram.StdCParser.functionCall | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4920 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ functionDeclSpecifiers()

final void com.jogamp.gluegen.cgram.StdCParser.functionDeclSpecifiers | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2859 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ functionDef()

final void com.jogamp.gluegen.cgram.StdCParser.functionDef | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 409 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ functionStorageClassSpecifier()

final void com.jogamp.gluegen.cgram.StdCParser.functionStorageClassSpecifier | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1096 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getAScopeName()

String com.jogamp.gluegen.cgram.StdCParser.getAScopeName | ( |  | ) |

Definition at line 54 of file StdCParser.java.

Here is the caller graph for this function:

## ◆ getDebug()

boolean com.jogamp.gluegen.cgram.StdCParser.getDebug | ( |  | ) |

Definition at line 68 of file StdCParser.java.

## ◆ idList()

final void com.jogamp.gluegen.cgram.StdCParser.idList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2252 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ inclusiveOrExpr()

final void com.jogamp.gluegen.cgram.StdCParser.inclusiveOrExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3887 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ initDecl()

final void com.jogamp.gluegen.cgram.StdCParser.initDecl | ( | AST | declarationSpecifiers | ) | throws RecognitionException, TokenStreamException

Definition at line 2025 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ initDeclList()

final void com.jogamp.gluegen.cgram.StdCParser.initDeclList | ( | AST | declarationSpecifiers | ) | throws RecognitionException, TokenStreamException

Definition at line 713 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ initializer()

final void com.jogamp.gluegen.cgram.StdCParser.initializer | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2100 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ initializerList()

final void com.jogamp.gluegen.cgram.StdCParser.initializerList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2358 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ intConst()

final void com.jogamp.gluegen.cgram.StdCParser.intConst | ( |  | ) | throws RecognitionException, TokenStreamException

protected

Definition at line 5058 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ isTypedefName()

boolean com.jogamp.gluegen.cgram.StdCParser.isTypedefName | ( | String | name | ) |

Definition at line 41 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ logicalAndExpr()

final void com.jogamp.gluegen.cgram.StdCParser.logicalAndExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3848 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ logicalOrExpr()

final void com.jogamp.gluegen.cgram.StdCParser.logicalOrExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3809 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ match()

void com.jogamp.gluegen.cgram.StdCParser.match | ( | int | t | ) | throws MismatchedTokenException

Definition at line 93 of file StdCParser.java.

## ◆ multExpr()

final void com.jogamp.gluegen.cgram.StdCParser.multExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4256 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ nonemptyAbstractDeclarator()

final void com.jogamp.gluegen.cgram.StdCParser.nonemptyAbstractDeclarator | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2528 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ parameterDeclaration()

final void com.jogamp.gluegen.cgram.StdCParser.parameterDeclaration | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2451 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ parameterTypeList()

final void com.jogamp.gluegen.cgram.StdCParser.parameterTypeList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2394 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ pointerGroup()

final void com.jogamp.gluegen.cgram.StdCParser.pointerGroup | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 2194 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ popScope()

void com.jogamp.gluegen.cgram.StdCParser.popScope | ( |  | ) |

Definition at line 62 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ postfixExpr()

final void com.jogamp.gluegen.cgram.StdCParser.postfixExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4571 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ postfixSuffix()

final void com.jogamp.gluegen.cgram.StdCParser.postfixSuffix | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4827 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ primaryExpr()

final void com.jogamp.gluegen.cgram.StdCParser.primaryExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4738 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ pushScope()

void com.jogamp.gluegen.cgram.StdCParser.pushScope | ( | String | scopeName | ) |

Definition at line 58 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ relationalExpr()

final void com.jogamp.gluegen.cgram.StdCParser.relationalExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4063 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ reportError() [1/2]

void com.jogamp.gluegen.cgram.StdCParser.reportError | ( | RecognitionException | ex | ) |

Definition at line 77 of file StdCParser.java.

## ◆ reportError() [2/2]

void com.jogamp.gluegen.cgram.StdCParser.reportError | ( | String | s | ) |

Definition at line 87 of file StdCParser.java.

## ◆ reportWarning()

void com.jogamp.gluegen.cgram.StdCParser.reportWarning | ( | String | s | ) |

Definition at line 90 of file StdCParser.java.

## ◆ setDebug()

void com.jogamp.gluegen.cgram.StdCParser.setDebug | ( | boolean | debug | ) |

Definition at line 72 of file StdCParser.java.

## ◆ shiftExpr()

final void com.jogamp.gluegen.cgram.StdCParser.shiftExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4138 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ specifierQualifierList()

final void com.jogamp.gluegen.cgram.StdCParser.specifierQualifierList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1479 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ statement()

final void com.jogamp.gluegen.cgram.StdCParser.statement | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3187 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ statementList()

final void com.jogamp.gluegen.cgram.StdCParser.statementList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 3152 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ storageClassSpecifier()

final void com.jogamp.gluegen.cgram.StdCParser.storageClassSpecifier | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 751 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ stringConst()

final void com.jogamp.gluegen.cgram.StdCParser.stringConst | ( |  | ) | throws RecognitionException, TokenStreamException

protected

Definition at line 5216 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ structDeclaration()

final void com.jogamp.gluegen.cgram.StdCParser.structDeclaration | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1441 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ structDeclarationList()

final void com.jogamp.gluegen.cgram.StdCParser.structDeclarationList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1406 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ structDeclarator()

final void com.jogamp.gluegen.cgram.StdCParser.structDeclarator | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1586 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ structDeclaratorList()

final void com.jogamp.gluegen.cgram.StdCParser.structDeclaratorList | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1550 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ structOrUnion()

final void com.jogamp.gluegen.cgram.StdCParser.structOrUnion | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1363 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ structOrUnionSpecifier()

final void com.jogamp.gluegen.cgram.StdCParser.structOrUnionSpecifier | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1139 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ traceIn()

void com.jogamp.gluegen.cgram.StdCParser.traceIn | ( | String | rname | ) |

Definition at line 124 of file StdCParser.java.

## ◆ traceOut()

void com.jogamp.gluegen.cgram.StdCParser.traceOut | ( | String | rname | ) |

Definition at line 134 of file StdCParser.java.

## ◆ translationUnit()

final void com.jogamp.gluegen.cgram.StdCParser.translationUnit | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 175 of file StdCParser.java.

Here is the call graph for this function:

## ◆ typedefName()

final void com.jogamp.gluegen.cgram.StdCParser.typedefName | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 1327 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ typeName()

final void com.jogamp.gluegen.cgram.StdCParser.typeName | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4388 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ typeQualifier()

final void com.jogamp.gluegen.cgram.StdCParser.typeQualifier | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 811 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ typeSpecifier()

final int com.jogamp.gluegen.cgram.StdCParser.typeSpecifier | ( | int | specCount | ) | throws RecognitionException, TokenStreamException

Definition at line 854 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ unaryExpr()

final void com.jogamp.gluegen.cgram.StdCParser.unaryExpr | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4430 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ unaryOperator()

final void com.jogamp.gluegen.cgram.StdCParser.unaryOperator | ( |  | ) | throws RecognitionException, TokenStreamException

Definition at line 4659 of file StdCParser.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ _tokenNames

final String [] com.jogamp.gluegen.cgram.StdCParser._tokenNames

static

Definition at line 5539 of file StdCParser.java.

## ◆ _tokenSet_0

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_0 = new BitSet(mk_tokenSet_0())

static

Definition at line 5709 of file StdCParser.java.

## ◆ _tokenSet_1

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_1 = new BitSet(mk_tokenSet_1())

static

Definition at line 5714 of file StdCParser.java.

## ◆ _tokenSet_10

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_10 = new BitSet(mk_tokenSet_10())

static

Definition at line 5759 of file StdCParser.java.

## ◆ _tokenSet_11

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_11 = new BitSet(mk_tokenSet_11())

static

Definition at line 5764 of file StdCParser.java.

## ◆ _tokenSet_12

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_12 = new BitSet(mk_tokenSet_12())

static

Definition at line 5769 of file StdCParser.java.

## ◆ _tokenSet_13

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_13 = new BitSet(mk_tokenSet_13())

static

Definition at line 5774 of file StdCParser.java.

## ◆ _tokenSet_14

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_14 = new BitSet(mk_tokenSet_14())

static

Definition at line 5779 of file StdCParser.java.

## ◆ _tokenSet_15

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_15 = new BitSet(mk_tokenSet_15())

static

Definition at line 5784 of file StdCParser.java.

## ◆ _tokenSet_16

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_16 = new BitSet(mk_tokenSet_16())

static

Definition at line 5789 of file StdCParser.java.

## ◆ _tokenSet_17

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_17 = new BitSet(mk_tokenSet_17())

static

Definition at line 5794 of file StdCParser.java.

## ◆ _tokenSet_18

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_18 = new BitSet(mk_tokenSet_18())

static

Definition at line 5799 of file StdCParser.java.

## ◆ _tokenSet_19

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_19 = new BitSet(mk_tokenSet_19())

static

Definition at line 5804 of file StdCParser.java.

## ◆ _tokenSet_2

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_2 = new BitSet(mk_tokenSet_2())

static

Definition at line 5719 of file StdCParser.java.

## ◆ _tokenSet_20

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_20 = new BitSet(mk_tokenSet_20())

static

Definition at line 5809 of file StdCParser.java.

## ◆ _tokenSet_21

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_21 = new BitSet(mk_tokenSet_21())

static

Definition at line 5814 of file StdCParser.java.

## ◆ _tokenSet_22

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_22 = new BitSet(mk_tokenSet_22())

static

Definition at line 5819 of file StdCParser.java.

## ◆ _tokenSet_23

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_23 = new BitSet(mk_tokenSet_23())

static

Definition at line 5824 of file StdCParser.java.

## ◆ _tokenSet_24

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_24 = new BitSet(mk_tokenSet_24())

static

Definition at line 5829 of file StdCParser.java.

## ◆ _tokenSet_25

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_25 = new BitSet(mk_tokenSet_25())

static

Definition at line 5834 of file StdCParser.java.

## ◆ _tokenSet_26

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_26 = new BitSet(mk_tokenSet_26())

static

Definition at line 5839 of file StdCParser.java.

## ◆ _tokenSet_27

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_27 = new BitSet(mk_tokenSet_27())

static

Definition at line 5844 of file StdCParser.java.

## ◆ _tokenSet_28

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_28 = new BitSet(mk_tokenSet_28())

static

Definition at line 5849 of file StdCParser.java.

## ◆ _tokenSet_29

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_29 = new BitSet(mk_tokenSet_29())

static

Definition at line 5854 of file StdCParser.java.

## ◆ _tokenSet_3

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_3 = new BitSet(mk_tokenSet_3())

static

Definition at line 5724 of file StdCParser.java.

## ◆ _tokenSet_30

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_30 = new BitSet(mk_tokenSet_30())

static

Definition at line 5859 of file StdCParser.java.

## ◆ _tokenSet_31

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_31 = new BitSet(mk_tokenSet_31())

static

Definition at line 5864 of file StdCParser.java.

## ◆ _tokenSet_32

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_32 = new BitSet(mk_tokenSet_32())

static

Definition at line 5869 of file StdCParser.java.

## ◆ _tokenSet_33

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_33 = new BitSet(mk_tokenSet_33())

static

Definition at line 5874 of file StdCParser.java.

## ◆ _tokenSet_34

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_34 = new BitSet(mk_tokenSet_34())

static

Definition at line 5879 of file StdCParser.java.

## ◆ _tokenSet_35

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_35 = new BitSet(mk_tokenSet_35())

static

Definition at line 5884 of file StdCParser.java.

## ◆ _tokenSet_36

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_36 = new BitSet(mk_tokenSet_36())

static

Definition at line 5889 of file StdCParser.java.

## ◆ _tokenSet_37

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_37 = new BitSet(mk_tokenSet_37())

static

Definition at line 5894 of file StdCParser.java.

## ◆ _tokenSet_38

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_38 = new BitSet(mk_tokenSet_38())

static

Definition at line 5899 of file StdCParser.java.

## ◆ _tokenSet_39

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_39 = new BitSet(mk_tokenSet_39())

static

Definition at line 5904 of file StdCParser.java.

## ◆ _tokenSet_4

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_4 = new BitSet(mk_tokenSet_4())

static

Definition at line 5729 of file StdCParser.java.

## ◆ _tokenSet_40

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_40 = new BitSet(mk_tokenSet_40())

static

Definition at line 5909 of file StdCParser.java.

## ◆ _tokenSet_41

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_41 = new BitSet(mk_tokenSet_41())

static

Definition at line 5914 of file StdCParser.java.

## ◆ _tokenSet_42

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_42 = new BitSet(mk_tokenSet_42())

static

Definition at line 5919 of file StdCParser.java.

## ◆ _tokenSet_43

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_43 = new BitSet(mk_tokenSet_43())

static

Definition at line 5924 of file StdCParser.java.

## ◆ _tokenSet_44

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_44 = new BitSet(mk_tokenSet_44())

static

Definition at line 5929 of file StdCParser.java.

## ◆ _tokenSet_45

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_45 = new BitSet(mk_tokenSet_45())

static

Definition at line 5934 of file StdCParser.java.

## ◆ _tokenSet_46

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_46 = new BitSet(mk_tokenSet_46())

static

Definition at line 5939 of file StdCParser.java.

## ◆ _tokenSet_47

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_47 = new BitSet(mk_tokenSet_47())

static

Definition at line 5944 of file StdCParser.java.

## ◆ _tokenSet_48

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_48 = new BitSet(mk_tokenSet_48())

static

Definition at line 5949 of file StdCParser.java.

## ◆ _tokenSet_49

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_49 = new BitSet(mk_tokenSet_49())

static

Definition at line 5954 of file StdCParser.java.

## ◆ _tokenSet_5

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_5 = new BitSet(mk_tokenSet_5())

static

Definition at line 5734 of file StdCParser.java.

## ◆ _tokenSet_50

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_50 = new BitSet(mk_tokenSet_50())

static

Definition at line 5959 of file StdCParser.java.

## ◆ _tokenSet_51

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_51 = new BitSet(mk_tokenSet_51())

static

Definition at line 5964 of file StdCParser.java.

## ◆ _tokenSet_52

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_52 = new BitSet(mk_tokenSet_52())

static

Definition at line 5969 of file StdCParser.java.

## ◆ _tokenSet_53

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_53 = new BitSet(mk_tokenSet_53())

static

Definition at line 5974 of file StdCParser.java.

## ◆ _tokenSet_54

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_54 = new BitSet(mk_tokenSet_54())

static

Definition at line 5979 of file StdCParser.java.

## ◆ _tokenSet_55

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_55 = new BitSet(mk_tokenSet_55())

static

Definition at line 5984 of file StdCParser.java.

## ◆ _tokenSet_56

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_56 = new BitSet(mk_tokenSet_56())

static

Definition at line 5989 of file StdCParser.java.

## ◆ _tokenSet_57

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_57 = new BitSet(mk_tokenSet_57())

static

Definition at line 5994 of file StdCParser.java.

## ◆ _tokenSet_58

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_58 = new BitSet(mk_tokenSet_58())

static

Definition at line 5999 of file StdCParser.java.

## ◆ _tokenSet_59

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_59 = new BitSet(mk_tokenSet_59())

static

Definition at line 6004 of file StdCParser.java.

## ◆ _tokenSet_6

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_6 = new BitSet(mk_tokenSet_6())

static

Definition at line 5739 of file StdCParser.java.

## ◆ _tokenSet_60

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_60 = new BitSet(mk_tokenSet_60())

static

Definition at line 6009 of file StdCParser.java.

## ◆ _tokenSet_7

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_7 = new BitSet(mk_tokenSet_7())

static

Definition at line 5744 of file StdCParser.java.

## ◆ _tokenSet_8

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_8 = new BitSet(mk_tokenSet_8())

static

Definition at line 5749 of file StdCParser.java.

## ◆ _tokenSet_9

final BitSet com.jogamp.gluegen.cgram.StdCParser._tokenSet_9 = new BitSet(mk_tokenSet_9())

static

Definition at line 5754 of file StdCParser.java.

## ◆ CPPComments

boolean com.jogamp.gluegen.cgram.StdCParser.CPPComments = true

static

Definition at line 33 of file StdCParser.java.

## ◆ debugging

boolean com.jogamp.gluegen.cgram.StdCParser.debugging = false

protected

Definition at line 66 of file StdCParser.java.

## ◆ symbolTable

CSymbolTable com.jogamp.gluegen.cgram.StdCParser.symbolTable = new CSymbolTable()

Definition at line 36 of file StdCParser.java.

## ◆ unnamedScopeCounter

int com.jogamp.gluegen.cgram.StdCParser.unnamedScopeCounter = 0

protected

Definition at line 39 of file StdCParser.java.

The documentation for this class was generated from the following file:

- build/gensrc/java/com/jogamp/gluegen/cgram/StdCParser.java